import axios from "axios";

export default {
  fetchCustomerData({ commit }) {
    axios
      .get("http://localhost:3000/customers")
      .then((response) => {
        commit("setCustomerList", response.data);
      })
      .catch((e) => {
        console.log(e);
      });
  },
  toggleSingleExpand({ commit }) {
    commit("setSingleExpand");
  },

  closeDialog({ commit }) {
    commit("setDialog", false);
  },
  deleteCustomer({ dispatch }, idList) {
    confirm("Are you sure you want to delete this item?") &&
      idList.forEach((id) => {
        axios
          .delete(`http://localhost:3000/customers/${id}`)
          .then(() => {
            dispatch("fetchCustomerData");
          })
          .catch((e) => {
            console.log(e);
          });
      });
  },
  deleteMultiCustomer({ dispatch }, items) {
    const itemList = [];
    items.forEach((item) => {
      itemList.push(item.id);
    });
    console.log(itemList);
    dispatch("deleteCustomer", itemList);
  },
};
