import axios from "axios";

export default {
  fetchProductData({ commit }) {
    axios
      .get("http://localhost:3000/products")
      .then((response) => {
        commit("setProductList", response.data);
      })
      .catch((e) => {
        console.log(e);
      });
  },
  toggleSingleExpand({ commit }) {
    commit("setSingleExpand");
  },

  closeDialog({ commit }) {
    commit("setDialog", false);
  },

  deleteProduct({ dispatch }, idList) {
    confirm("Are you sure you want to delete this item?") &&
      idList.forEach((id) => {
        axios
          .delete(`http://localhost:3000/products/${id}`)
          .then(() => {
            dispatch("fetchProductData");
          })
          .catch((e) => {
            console.log(e);
          });
      });
  },
  deleteMultiProduct({ dispatch }, items) {
    const itemList = [];
    items.forEach((item) => {
      itemList.push(item.id);
    });
    console.log(itemList);
    dispatch("deleteProduct", itemList);
  },
  addProduct({ getters, dispatch }) {
    const config = {
      method: "post",
      url: `http://localhost:3000/products/`,
      data: { products: getters.editedItem },
    };
    axios(config).then(() => {
      console.log("TESET");
      dispatch("fetchProductData");
    });
    dispatch("closeDialog");
  },
};
